/****************************************************
 *  COS264 Interactive Application Development      *
 *  Assignment 4 - REGEX Validation Form            *
 *  by Chad Jordan 03/10/2009                       *
 *  JavaScript implementation for allowing          *
 *  regular expressions to validate form data       *
 ***************************************************/


function checkusername(){
	var usernametag=document.getElementById("username");
	if(usernametag.value.search(/^[a-zA-Z0-9_]{1,12}$/) !=0){
		usernametag.style.color="red";
		alert("Username must contain only letters, numbers, or underscores with a maximum count of 12 characters.");	
		return false;
	}
	else{
		usernametag.style.color="green";
		return true;
	}
}
function checkfullname(){
	var fullnametag=document.getElementById("fullname");
	if(fullnametag.value.search(/^[a-zA-Z]+ [a-zA-Z]+$/) !=0){
		fullnametag.style.color="red";
		alert("Full name must contain only letters with a space between the first and last.");	
		return false;
	}
	else{
		fullnametag.style.color="green";
		return true;
	}
}
function checkemail(){
	var emailtag=document.getElementById("email");
	if(emailtag.value.search(/^[a-zA-Z0-9_.]+@[a-zA-Z0-9_.]+\.(com|net|org|edu)$/) !=0){
		emailtag.style.color="red";
		alert("The correct form for the email address would be E.g. Username@domain.ext can contain only letters, numbers, or underscores with a maximum count of 12 characters.");	
		return false;
	}
	else{
		emailtag.style.color="green";
		return true;
	}
}
function checkpassword(){
	var password1tag=document.getElementById("password1");
	var password2tag=document.getElementById("password2");
	if(password1tag.value==password2tag.value && password1tag.value.length > 0){
		password1tag.style.color="green";
		password2tag.style.color="green";
		return true;
	}
	else{
		password1tag.style.color="red";
		password2tag.style.color="red";
		alert("Passwords must match.");	
		return false;
	}
}
function checkcreditcard(){
	var creditcardtag=document.getElementById("creditcard");
	if(creditcardtag.value.search(/^[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{4}$/) !=0){
		creditcardtag.style.color="red";
		alert("Credit card must contain only numbers, with a count of 16. Be sure to include one hyphen between each set of four numbers.");	
		return false;
	}
	else{
		creditcardtag.style.color="green";
		return true;
	}
}
function allvalid(){
	if(!checkusername()) return false;
	if(!checkfullname()) return false;
	if(!checkemail()) return false;
	if(!checkpassword()) return false;
	if(!checkcreditcard()) return false;
	var radiomaletag=document.getElementById("male");
	var radiofemaletag=document.getElementById("female");
	if(!(radiomaletag.checked || radiofemaletag.checked)){	
		alert("Must choose one gender");
		return false;	
	}
	var regiontag=document.getElementById("region");
	var checkboxtag=document.getElementById("checkbox");
	if(!checkboxtag.checked){	
		alert("You must agree to our terms and conditions.");
		return false;
	}	

	return true;	
}

